<?php

##########################################################################################
# In order to be able to use this script you need to join the merchant program depending on the country where your store is selling the products
#
# AUSTRALIA - http://shopmania.com.au/ (only supporting AUD, NZD datafeeds)
# ARGENTINA - http://www.shopmania.com.ar/ (only supporting ARS, EUR, USD)       *NEW
# BRASIL - http://www.shopmania.com.br/ (only supporting BRL, USD) 
# BULGARY - http://www.shopmania.bg/ (only supporting BGN, EUR, USD)
# CZECH REPUBLIC - http://www.shop-mania.cz/ (only supporting CZK, EUR, USD)		*NEW
# CHILE - http://www.shopmania.cl/ (only supporting CLP, USD, EUR)       *NEW
# CHINA - http://www.shopmania.cn/ (only supporting CNY, USD)       
# DEUTSCHLAND - http://www.shopmania.de/ (only supporting EUR, USD) 
# FRANCE - http://www.shopmania.fr/ (only supporting EUR, USD datafeeds)
# HUNGARY - http://www.shopmania.hu/ (only supporting HUF, EUR, USD datafeeds)
# INDIA - http://www.shopmania.in/ (only supporting INR, USD datafeeds)
# IRELAND - http://www.shopmania.ie/ (only supporting EUR, GBP datafeeds)
# ITALY - http://www.shopmania.it/ (only supporting EUR, USD datafeeds)
# JAPAN - http://www.shopmania.jp/  (only supporting JPY, USD datafeeds)       
# MEXICO - http://www.shopmania.com.mx/ (only supporting MXN (Mexican peso), USD, EUR datafeeds)
# NETHERLANDS - http://www.shopmania.nl/ (only supporting EUR datafeeds)		*NEW
# POLSKA - http://www.shopmania.pl/ (only supporting PLN, EUR, USD) 
# PORTUGAL - http://www.shopmania.pt/ (only supporting EUR, USD) 
# ROMANIA - http://www.shopmania.ro/ (only supporting RON, EUR, USD datafeeds)
# RUSSIA - http://www.shopmania.ru/ (only supporting RUB, EUR, USD)       
# SERBIA - http://www.shopmania.rs/ (only supporting RSD, EUR)		*NEW	
# SLOVAKIA - http://www.shop-mania.sk/ (only supporting EUR, USD)
# SOUTH AFRICA - http://www.shopmania.co.za/ (only supporting ZAR, USD, EUR)       *NEW
# SPAIN - http://www.shopmania.es/ (only supporting EUR datafeeds) 
# SWEDEN - http://www.shopmania.se/ (only supporting SEK, EUR, USD datafeeds)		*NEW
# TURKEY - http://www.shopmania.com.tr/ (only supporting TRY, EUR, USD)
# US - http://www.shopmania.com/ (only supporting USD, CAD datafeeds)
# UK - http://www.shopmania.co.uk/ (only supporting GBP, EUR, USD datafeeds)
#
# Once you join the program and your application is approved you need to place the file on your server and set up the path to the file on the Merchant Interface
# Files will be  retrieved daily from your server having the products listed automatically on ShopMania
# 
# 
# Options
# @url_param taxes=on (on,off) 
# @url_param storetaxes=on (on,off) 
# @url_param discount=on (on,off) 
# @url_param add_vat=off (on,off) 
# @url_param vat_value=24 (VAT_VALUE) 
# @url_param shipping=off (on,off) 
# @url_param add_tagging=on (on,off) 
# @url_param tagging_params=utm_source=shopmania&utm_medium=cpc&utm_campaign=direct_link (TAGGING_PARAMS) 
# @url_param description=on (on,off) 
# @url_param image=on (on,off) 
# @url_param specialprice=on (on,off) 
# @url_param sef=off (on,off) 
# @url_param on_stock=off (on,off) 
# @url_param forcepath=off (on,off) 
# @url_param forcefolder= (FORCEFOLDER) 
# @url_param language= (LANGUAGE_CODE) 
# @url_param language_id= (LANGUAGE_ID) 
# @url_param currency= (CURRENCY_CODE) 
#
#  
##########################################################################################


// Current datafeed script version
$script_version = "1.02";

// Print current Script version
if (@$_GET['get'] == "version") {
	echo "<b>Datafeed Logivert</b><br />";
	echo "script version <b>" . $script_version . "</b><br />";
	exit;
}

// Set no time limit only if php is not running in Safe Mode
if (!ini_get("safe_mode")) {
	set_time_limit(0);
}
ignore_user_abort();

ini_set('display_errors',0);
error_reporting(0);

include('framework/init.php');
include_once('smarty/Smarty.class.php');
include_once('framework/canonicaltag.php');
include_once('framework/customxml.class.php');
include_once('framework/cookiecheck.php');
include_once('framework/functions.php');

$pg = new POSTGET();

session_start();

global $conf;
global $shop_root_dir;

$datafeed_separator = "|";

##### Extract params from url ################################################

$apply_taxes = (@$_GET['taxes'] == "off") ? "off" : "on";
$apply_storetaxes = (@$_GET['storetaxes'] == "off") ? "off" : "on";
$apply_discount = (@$_GET['discount'] == "off") ? "off" : "on";
$add_vat = (@$_GET['add_vat'] == "on") ? "on" : "off";
$vat_value = (@$_GET['vat_value'] > 0) ? ((100 + $_GET['vat_value']) / 100) : 1.24; // default value
$add_shipping = (@$_GET['shipping'] == "on") ? "on" : "off";
$add_tagging = (@$_GET['add_tagging'] == "off") ? "off" : "on";
$tagging_params = (@$_GET['tagging_params'] != "") ? urldecode($_GET['tagging_params']) : "utm_source=shopmania&utm_medium=cpc&utm_campaign=direct_link";
$show_description = (@$_GET['description'] == "off") ? "off" : ((@$_GET['description'] == "limited") ? "limited" : "on");
$show_image = (@$_GET['image'] == "off") ? "off" : "on";
$show_specialprice = (@$_GET['specialprice'] == "off") ? "off" : "on";
$sef = (@$_GET['sef'] == "on") ? "on" : "off";
$on_stock_only = (@$_GET['on_stock'] == "on") ? "on" : "off";
$force_path = (@$_GET['forcepath'] == "on") ? "on" : "off";
$force_folder = (@$_GET['forcefolder'] != "") ? $_GET['forcefolder'] : "";
$language_code = (@$_GET['language'] != "") ? $_GET['language'] : "";
$language_id = (@$_GET['language_id'] != "") ? $_GET['language_id'] : "";
$currency = (@$_GET['currency'] != "") ? $_GET['currency'] : "";
$use_compression = (@$_GET['compression'] == "off") ? "off" : "on";

####################################################################


// Print URL options
if (@$_GET['get'] == "options") {
	$script_basepath = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'];
	
	echo "<b>Datafeed Logivert</b><br />";
	echo "script version <b>" . $script_version . "</b><br /><br /><br />";
		
	//echo "<b>Taxes options</b> - possible values on, off default value on<br />";
	//echo "taxes=on (on,off) <a href=\"" . $script_basepath . "?taxes=off" . "\" >" . $script_basepath . "?taxes=off" . "</a><br /><br />";
	
	//echo "Store taxes options - possible values on, off default value on<br />";
	//echo "storetaxes = on (on,off) <a href=\"" . $script_basepath . "?storetaxes=off" . "\" >" . $script_basepath . "?storetaxes=off" . "</a><br /><br />";
	
	//echo "Discount options - possible values on, off default value on<br />";
	//echo "discount=on (on,off) <a href=\"" . $script_basepath . "?discount=off" . "\" >" . $script_basepath . "?discount=off" . "</a><br /><br />";
	
	echo "<b>Add VAT to prices</b> - possible values on, off default value off<br />";
	echo "add_vat=off (on,off) <a href=\"" . $script_basepath . "?add_vat=on" . "\" >" . $script_basepath . "?add_vat=on" . "</a><br /><br />";
	
	echo "<b>VAT value</b> - possible values percent value default value 24  - interger or float number ex 19 or 19.5<br />";
	echo "vat_value=24 (VAT_VALUE) <a href=\"" . $script_basepath . "?add_vat=on&vat_value=19" . "\" >" . $script_basepath . "?add_vat=on&vat_value=19" . "</a><br /><br />";
	
	//echo "<b>Add shipping to datafeed</b> - possible values on, off default value off<br />";
	//echo "shipping=off (on,off) <a href=\"" . $script_basepath . "?shipping=off" . "\" >" . $script_basepath . "?shipping=off" . "</a><br /><br />";
	
	echo "<b>Add GA Tagging to product URL</b> - possible values on, off default value on<br />";
	echo "add_tagging=on (on,off) <a href=\"" . $script_basepath . "?add_tagging=off" . "\" >" . $script_basepath . "?add_tagging=off" . "</a><br /><br />";
	
	echo "<b>Add custom tagging to product URL</b> - possible values url_encode(TAGGING_PARAMS) default value tagging_params=&utm_source=shopmania&utm_medium=cpc&utm_campaign=direct_link<br />";
	echo "tagging_params=&utm_source=shopmania&utm_medium=cpc&utm_campaign=direct_link (TAGGING_PARAMS) <a href=\"" . $script_basepath . "?tagging_params=%26from%3Dshopmania" . "\" >" . $script_basepath . "?tagging_params=%26from%3Dshopmania" . "</a><br /><br />";
	
	echo "<b>Display Description options</b> - possible values on, off, limited default value on<br />";
	echo "description=on (on,off) <a href=\"" . $script_basepath . "?description=off" . "\" >" . $script_basepath . "?description=off" . "</a><br />";
	echo "<a href=\"" . $script_basepath . "?description=limited" . "\" >" . $script_basepath . "?description=limited" . "</a><br /><br />";

	//echo "<b>Display image options</b> - possible values on, off default value on<br />";
	//echo "image=on (on,off) <a href=\"" . $script_basepath . "?image=off" . "\" >" . $script_basepath . "?image=off" . "</a><br /><br />";
	
	//echo "Special price options - possible values on, off default value on<br />";
	//echo "specialprice=on (on,off) <a href=\"" . $script_basepath . "?specialprice=off" . "\" >" . $script_basepath . "?specialprice=off" . "</a><br /><br />";
	
	//echo "<b>Show only on stock products</b> - possible values on, off default value off<br />";
	//echo "on_stock=off (on,off) <a href=\"" . $script_basepath . "?on_stock=on" . "\" >" . $script_basepath . "?on_stock=on" . "</a><br /><br />";
	
	//echo "<b>Show SEO friendly url</b> - possible values on, off default value off<br />";
	//echo "sef=off (on,off) <a href=\"" . $script_basepath . "?sef=on" . "\" >" . $script_basepath . "?sef=on" . "</a><br /><br />";
	
	//echo "<b>Get prices in specified currency</b> - possible values USD,EUR etc. <br />";
	//echo "currency=DEFAULT_CURRENCY <a href=\"" . $script_basepath . "?currency=EUR" . "\" >" . $script_basepath . "?currency=EUR" . "</a><br /><br />";
	
	//echo "<b>Get texts in specified language code</b> - possible values en,ro etc. <br />";
	//echo "language=DEFAULT_LANGUAGE_CODE <a href=\"" . $script_basepath . "?language=en" . "\" >" . $script_basepath . "?language=en" . "</a><br /><br />";
	
	//echo "<b>Get texts in specified language id</b> - possible values 1,2 etc. <br />";
	//echo "language_id=DEFAULT_LANGUAGE_ID <a href=\"" . $script_basepath . "?language_id=1" . "\" >" . $script_basepath . "?language_id=1" . "</a><br /><br />";
	
	//echo "<b>Use compression</b> - possible values on, off default value on<br />";
	//echo "compression=on (on,off) <a href=\"" . $script_basepath . "?compression=off" . "\" >" . $script_basepath . "?compression=off" . "</a><br /><br />";
		
	echo "<br />";
	
	exit;
	
}


$conf = new ConfigLoader(array("lvconfig/options.xml","lvconfig/text.xml","lvconfig/languages_selection.xml","lvconfig/member_area.xml"));
$lvShowPriceMode = $conf->data['LV_OPTIONS']['LV_SHOWPRICE_MODE'];

$c = new CustomXML("lvconfig/options.xml");
$text = new CustomXML("lvconfig/options.xml");
/* device */
$deviceMustbeset = false;
if (isset($conf->data['LV_OPTIONS']['LV_MOBILE_ENABLED']) && ($conf->data['LV_OPTIONS']['LV_MOBILE_ENABLED']==1)) {
	if ($pg->exists('device')) {
		$_SESSION['lv_device'] = $pg->device;
	} 
	elseif (!isset($_SESSION['lv_device'])) {
		if (($pg->exists('device')) && ($pg->device == 'mob')) {$_SESSION['lv_device']='mob';}
		elseif (!$pg->exists('devicew')) {$deviceMustbeset = true;} 
		else {if ($pg->devicew == 1) {$_SESSION['lv_device']='mob';} else {$_SESSION['lv_device']='desk';}}
	}
}
$tpl = new Template($_SESSION['lv_device'] == 'mob');
$tpl->assign('LV_DEVICE',$_SESSION['lv_device']); 

if ($pg->exists("action")) { $action = $pg->action; } else { $action = ""; }
$dir = dirname($_SERVER['PHP_SELF']);
$httpreferrer = $_SERVER['HTTP_REFERER'];
$fullhttps = $conf->data['LV_OPTIONS']['LV_ORDER_SSL_FULL'];;

/* SSL Secured or not */
if (($fullhttps==1) || (($action=="order") && isset($conf->data['LV_OPTIONS']['LV_ORDER_SSL']) && ($conf->data['LV_OPTIONS']['LV_ORDER_SSL']==1))) {
	$shop_root_dir='https://'.$_SERVER['HTTP_HOST'];
} 
else {
	$shop_root_dir='http://'.$_SERVER['HTTP_HOST'];
}
if (strpos($shop_root_dir,'https://')==true) {
	if (isset($conf->data['LV_OPTIONS']['LV_ORDER_SSL_NO_WWW']) && ($conf->data['LV_OPTIONS']['LV_ORDER_SSL_NO_WWW']==1)) {
		$shop_root_dir=str_replace('//www.','//',$shop_root_dir);
	}
}

/* *** */
if ($dir=='/'||$dir=='\\') {
	$shop_root_dir.='/';
} 
else {
	if (strpos($dir,'\\')==false) {
		$dir=str_replace('\\','/',$dir);
	}
	$shop_root_dir.=$dir.'/';
}
$_SESSION['http_pref'] = $shop_root_dir;
$_SESSION['http_pref_payment'] = str_replace('https://','http://',$shop_root_dir);

/* Set VAT */
if (isset($_SESSION['vatitems'])) {
	$vatitems = $_SESSION['vatitems'];
}
else {
	$vatitems_xml=new CustomXML('lvconfig/vatitems.xml');
	$vatitems=array();
	foreach ($vatitems_xml->xml['LV_VATITEMS']['LV_VATITEM'] as $v) {
		$vatitems[$v['LV_NUMBER']]=$v;
	}
	unset($vatitems_xml);
	$_SESSION['vatitems'] = $vatitems;
}

try {
	$tpl->xmlArray2Smarty($conf->data['LV_OPTIONS']);
	$tpl->xmlArray2Smarty($conf->data['LV_TEXT']);
	$tpl->xmlArray2Smarty(array('LV_LANGUAGES_SELECTION'=>$conf->data['LV_LANGUAGES_SELECTION']));

	$language = new Language($tpl);
	if ($pg->exists("lang") && $language->isLanguageExists($pg->lang)) {
		$language->setLanguage($pg->lang);
		$url = $_SERVER['REQUEST_URI'];
		$url = str_replace(('&amp;lang='.$pg->lang),'',$url);
		$url = str_replace(('&lang='.$pg->lang),'',$url);
		if (strpos($url,'action=') == false) {
			if (strpos($url,'index.php?') != false) {
				$url = str_replace('index.php?','index.php',$url);
			}
			$url = str_replace('index.php','index.php?action=home',$url);
		}
	} 
	else {
		$language->setLanguage($conf->data['LV_OPTIONS']['LV_LANGUAGECODE']);
	}
	$currentLanguage = $language->getCurrentLanguage();
	//if (!isset($tpl->_tpl_vars['curr_url']) || $tpl->_tpl_vars['curr_url'] == '') {
	//	$tpl->assign('curr_url', $shop_root_dir.'index.php?action=home');
	//}
} catch (Exception $e) {
	//
}

try {
	$all_groups_res=new Groups();
} catch (Exception $e) {
	echo $e->__toString();
}

$ALL_GROUPS = array_reverse($all_groups_res->fullstruct);

if (is_array($ALL_GROUPS) && sizeof($ALL_GROUPS) > 0) {
	
	foreach($ALL_GROUPS as $key=>$value) {

		$group_id = $value['LV_ID'];
		
		try {
			$group=new Groups($group_id,$currentLanguage);
		} catch (Exception $e) {
			echo $e->__toString();
		}
		
		// get group level id
		$group->level1 = -1;
		$group->level2 = -1;
		$group->level3 = -1;
		if ($group->current['LV_ID'] >= 20000000) {
			foreach ($group->fullstruct as $v) {
				if ($v['LV_ID'] == $group->current['LV_PARENT_ID']) {
					$group->level1 = $v['LV_PARENT_ID']; 
					break;
				}
			}
			$group->level2 = $group->current['LV_PARENT_ID'];
			$group->level3 = $group->current['LV_ID'];
		} 
		elseif ($group->current['LV_ID'] >= 10000000) {
			$group->level1 = $group->current['LV_PARENT_ID'];
			$group->level2 = $group->current['LV_ID'];
		} 
		elseif ($group->current['LV_ID'] > 0) {
			$group->level1 = $group->current['LV_ID'];
		}
		$tpl->assign('LV_GROUP_LEVEL1',$group->level1);
		$tpl->assign('LV_GROUP_LEVEL2',$group->level2);
		$tpl->assign('LV_GROUP_LEVEL3',$group->level3);

		$extrapages = new extrapages($tpl,"./lvconfig/extrapages.xml",$currentLanguage);
		$tpl->assign('LV_PATH',$group->path);
		$tpl->assign('LV_SUBGROUPS',$group->sub);
		$tpl->assign('LV_CURRENT_GROUP',$group->current);
		
		$validator = new Login($tpl);

		//affilates system
		if ($pg->exists('lv_af') && (preg_match( '/^\d*$/', $pg->lv_af) == 1)) {
			$_SESSION['lv_af']=$pg->lv_af;
		} 
		elseif (isset($_SESSION['lv_af'])) {
			if($_SESSION['Alpha']!=-1) {
				unset($_SESSION['lv_af']);
			}
		}

		$tpl->assign('member_mode',$member_mode = $conf->data['logivert']['LV_MEMBER_MODE']);
		$tpl->assign('member_showarticles',$member_showarticles = $conf->data['logivert']['LV_MEMBER_SHOWARTICLES']);
		$tpl->assign('member_showprices',"1");
		$attention = new Attention($tpl,$currentLanguage,true);
		$attention->Assign(-1,true);
		$promotion = new Attention($tpl,$currentLanguage,false);
		$promotion->Assign(-1,false);

		if (($member_mode == "Necessary") && ($action != "login") && ($tpl->get_template_vars('username') == "")) {
			$tpl->assign('LV_SHOPPINGCART_ENABLED',"0");
			if ($member_showarticles != 1) {
				// if login is necessary, user isn't logged in and articles may not be shown to "un"logged users then show home page
				if (($action != "extra") && ($action != "home")) {
					$action = "home";
				}
			} 
			else {
				// if login is necessary, user isn't logged in and articles may be shown to "un"logged users then hide prices
				$tpl->assign('member_showprices',"0");
			}
		}
		
		if ($_SESSION['lv_device']=='mob') {
			$tpl->_tpl_vars['LV_METATAG'] .= '<meta name="viewport" content="width=device-width, initial-scale=1.0"/>'. "\n";
		}
		if (($deviceMustbeset) && ($action != 'order')) {
			$pgstring = '';
			foreach ($pg->values as $k=>$v) { if ($pgstring != '') { $pgstring .= '&'; } $pgstring .= $k.'='.$v; }
		}

		$tpl->_tpl_vars['LV_OPTIONS_SITETITLE'] = $tpl->_tpl_vars['LV_OPTIONS_SEARCHROBOT_TITLE'];
		
		
		if ($pg->exists('page')) {
			$page = $pg->page;
		} 
		else {
			$page = 0;
		}
		
		$art = new Articles();
		$resource = $art->Select('',$group_id);

		// $articles = array();
		$stock = array();
		$curr_lang = 'lang_'.$currentLanguage;

		// Debuging
		//if (isset($_GET['debug'])) {
		//	print_r($conf);
		//	print "lang: $curr_lang \n";
		//}
		
		while ($a=$art->Fetch($resource)) {
			
			if ($a['use_variants']==0) {
				$a->data=$a->article_language_conversions($a->data,$a->get_stock_quantity($a->data['nr']),$currentLanguage);
			}
			$a = $a->data;
			
			// Debuging
			//if (isset($_GET['debug'])) {
			//	print_r($a);
			//}
			
			/*// Limit description size
			$a['description'] = "";
			if ($show_description == "limited") {
				$a['description'] = substr(trim($a['description'][$curr_lang]), 0, 600);
				$a['description'] = smfeed_replace_not_in_tags("\n", "<BR />", $prod_desc);
				$a['description'] = str_replace("\n", " ", $a['description']);
				$a['description'] = str_replace("\r", "", $a['description']);
				$a['description'] = strip_tags($a['description']);
				$a['description'] = substr(trim($a['description'][$curr_lang]), 0, 350);
			}
			elseif ($show_description == "on") {
				$a['description'] = $a['description'][$curr_lang];
				$a['description'] = smfeed_replace_not_in_tags("\n", "<BR />", $a['description']);
				$a['description'] = str_replace("\n", " ", $a['description']);		
				$a['description'] = str_replace("\r", "", $a['description']);
				$a['description'] = str_replace("\t", " ", $a['description']);
			}
			else {
				$a['description'] = "";
			}*/
	
			$a['description'] = $a['description'][$curr_lang];
			$a['descriptionandmeasure']=$a['descriptionandmeasure'][$curr_lang];
			$a['measure'] = $a['measure'][$curr_lang];
			$a['specification'] = $a['specification'][$curr_lang];
			$a['urlitem'] = $a['urlitem'][$curr_lang];
			$a['compordertextvisible']['compordertext'] = (isset($a['compordertextvisible'][$curr_lang]['compordertext']) ? $a['compordertextvisible'][$curr_lang]['compordertext'] : "");
			$a['shortmemo'] = $a['shortmemo'][$curr_lang];

			if (isset($a['ecotaxes']['ecotax'])&&!is_array(current($a['ecotaxes']['ecotax']))) {
				$a['ecotaxes']['ecotax'] = array(0=>$a['ecotaxes']['ecotax']);
			}
			if (isset($a['options_struct']['options_struct_item'][0]) && (sizeof($a['options_struct']['options_struct_item'][0])==0)) {
				unset($a['options_struct']);
			}
			if (isset($a['text_struct']['text_struct_item'][0]) && (sizeof($a['text_struct']['text_struct_item'][0])==0)) {
				unset($a['text_struct']);
			}

			$real_vat;
			if (isset($vatitems[$a['vat']])) {
				if (isset($vatitems[$a['vat']]['LV_PERCENTAGE'])) {
					$real_vat = $vatitems[$a['vat']]['LV_PERCENTAGE'];
				} else {
					// $log->FullDump("LV_PERCENTAGE in vatitems.xml not set");
				}
			} 
			else {
				// $log->FullDump("Vat item number not exists");
			}
			$a['vat'] = $real_vat;
			$a['availability']['availability_text'] = $a['availability'][$curr_lang]['availability_text'];

			$prod_url = $shop_root_dir . "index.php?item=" . $a['urlitem'] . "&action=article&aid=" . $a['nr'] . "&group_id=" . $a['group']['item'] . "&lang=NL";
			
			// Add GA Tagging parameters to url
			if ($add_tagging == "on") {
				$and_param = (preg_match("/\?/", $prod_url)) ? "&" : "?";
				$prod_url = $prod_url . $and_param . $tagging_params;
			}

			$prod_image = $shop_root_dir . $a['picturebig'];
			// $prod_model = $a['articlecode'];
			$prod_desc = $a['longmemo'][$curr_lang];
			
			$category_name = "";
			if (is_array($group->path) && sizeof($group->path) > 0) {
				foreach ($group->path as $ii=>$vv) {
					$category_name .= (($category_name != "") ? " > " : "") . $vv['LV_GROUP_NAME_MUI']['LV_NL'];
				}
			}
			else {
				$category_name = $value['LV_GROUP_NAME_MUI']['LV_NL'];
			}
			
			// Clean product names and descriptions (separators)
			if ($datafeed_separator == "\t") {
				$category_name = str_replace("\t", " ", $category_name);
				// Continue... tabs were already removed
			}
			elseif ($datafeed_separator == "|") {
				$a['description'] = str_replace("|", " ", strip_tags($a['description']));
				$prod_desc = str_replace("|", " ", $prod_desc);
				$category_name = str_replace("|", " ", $category_name);
			}
			else {
				print "Incorrect columns separator.";
				exit; 
			}
			
			// Clean product name (new lines)
			$a['description'] = str_replace("\n", " ", strip_tags($a['description']));
			$a['description'] = str_replace("\r", " ", strip_tags($a['description']));
			$a['description'] = str_replace("\t", " ", strip_tags($a['description']));
			
			$prod_desc = str_replace("\n", " ", $prod_desc);
			$prod_desc = str_replace("\r", " ", $prod_desc);
			$prod_desc = str_replace("\t", " ", $prod_desc);
			
			// Add VAT to prices
			if ($add_vat == "on") {
				$a['price_show'] = $a['price_show'] * $vat_value;
			}
			
			print 
				$category_name . $datafeed_separator .
				$a['manufacturer'] . $datafeed_separator .
				$prod_model . $datafeed_separator .
				$a['nr'] . $datafeed_separator .
				$a['description'] . $datafeed_separator .
				$prod_desc . $datafeed_separator .
				$prod_url . $datafeed_separator .
				$prod_image . $datafeed_separator .
				$a['price_show'] . $datafeed_separator .
				((strtolower($a['price_currname']) == "euro") ? "EUR" : $a['price_currname']) . "\n";
			
		}
		
		$art->Free($resource);
		
	}
}

##### Functions ########################################################

function smfeed_replace_not_in_tags($find_str, $replace_str, $string) {
	
	$find = array($find_str);
	$replace = array($replace_str);	
	preg_match_all('#[^>]+(?=<)|[^>]+$#', $string, $matches, PREG_SET_ORDER);	
	foreach ($matches as $val) {	
		if (trim($val[0]) != "") {
			$string = str_replace($val[0], str_replace($find, $replace, $val[0]), $string);
		}
	}	
	return $string;
}

###################################################################

exit;

?>